## class Fl_Repeat_Button

### Class Hierarchy

    Fl_Button
       |
       +----Fl_Repeat_Button

### Include Files

    #include <FL/Fl_Repeat_Button.H>

### Description

The `Fl_Repeat_Button` is a subclass of `Fl_Button` that generates a callback when it is pressed and then repeatedly generates callbacks as long as it is held down. The speed of the repeat is fixed and depends on the implementation.

### Methods

- Fl_Repeat_Button
- ~Fl_Repeat_Button

#### Fl_Repeat_Button::Fl_Repeat_Button(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Repeat_Button` widget using the given position, size, and label string. The default boxtype is `FL_UP_BOX` .

#### virtual Fl_Repeat_Button::~Fl_Repeat_Button()

Deletes the button.